# Method SSL.session()->new_client_states()

Method new_client_states

  ``array`(`.state`) new_client_states(`string` `client_random`, `string` `server_random`, `array`(`int`) `version`)`

Description

  Computes a new set of encryption states, derived from the client_random, server_random and master_secret strings.

Returns

  Array
  ``SSL.state` `read_state`` | Read state
  ``SSL.state` `write_state`` | Write state